<?xml version="1.0"?>
<!--欢迎使用碧秀分类程序-->
<!--
  有关如何配置 ASP.NET 应用程序的详细消息，请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <connectionStrings configSource="xml\ConnectionStrings.config"/>
  <!--
    有关 web.config 更改的说明，请参见 http://go.microsoft.com/fwlink/?LinkId=235367。

    可在 <httpRuntime> 标记上设置以下特性。
      <system.Web>
        <httpRuntime targetFramework="4.5" />
      </system.Web>
  -->
  <system.web>
    <globalization requestEncoding="utf-8"/>
    <sessionState mode="InProc" timeout="60"/>
    <compilation targetFramework="4.5">
      <assemblies>
        <add assembly="System.Data.Entity, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"/>
      </assemblies>
      <buildProviders>
        <add extension=".shtml" type="System.Web.Compilation.PageBuildProvider"/>
        <add extension=".html" type="System.Web.Compilation.PageBuildProvider"/>
        <add extension=".htm" type="System.Web.Compilation.PageBuildProvider"/>
        <add extension=".rdlc" type="Microsoft.Reporting.RdlBuildProvider, Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"/>
      </buildProviders>
    </compilation>
    <authentication configSource="xml\Authentication.config">
      <!--<forms timeout="120" defaultUrl="Admin/ManagerIndex.aspx" loginUrl="Admin/Login.aspx" name=".AdminLogin"/>-->
    </authentication>
    <authorization>
      <allow users="?"/>
    </authorization>
    <httpRuntime requestValidationMode="2.0"/>
    <machineKey validationKey="BAB1327D7E48434B8F4EF1ED0545090029176B0B" decryptionKey="AD8BBBE4A8BE2724" validation="MD5" decryption="Auto"/>
    <httpHandlers>
      <!--<add verb="*" path="*" type="System.Web.UI.PageHandlerFactory"/>-->
      <!--<add verb="*" path="*" type="HttpHandle.UrlRewrite" />-->
    </httpHandlers>
    <pages controlRenderingCompatibilityVersion="4.0"/>
    <!--设置404或错误页面-->
    <!--<customErrors mode="On" redirectMode="ResponseRewrite" defaultRedirect="Others/error.html">
      <error statusCode="404" redirect="Others/404.html"/>
    </customErrors>-->
  </system.web>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <modules runAllManagedModulesForAllRequests="true"/>
    <handlers>
      <remove name="ExtensionlessUrlHandler-ISAPI-4.0_32bit"/>
      <remove name="ExtensionlessUrlHandler-ISAPI-4.0_64bit"/>
      <remove name="ExtensionlessUrlHandler-Integrated-4.0"/>
      <add name="ExtensionlessUrlHandler-ISAPI-4.0_32bit" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" preCondition="classicMode,runtimeVersionv4.0,bitness32" responseBufferLimit="0"/>
      <add name="ExtensionlessUrlHandler-ISAPI-4.0_64bit" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework64\v4.0.30319\aspnet_isapi.dll" preCondition="classicMode,runtimeVersionv4.0,bitness64" responseBufferLimit="0"/>
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0"/>
    </handlers>
  </system.webServer>
</configuration>